## org.eclipse.datatools.sqltools.sqleditor.result
Class SimpleSQLResultRunnable

    java.lang.Object
      org.eclipse.core.runtime.PlatformObject
          org.eclipse.core.internal.jobs.InternalJob
              org.eclipse.core.runtime.jobs.Job
                  org.eclipse.datatools.sqltools.editor.core.result.ResultSupportRunnable
                      org.eclipse.datatools.sqltools.sqleditor.result.SimpleSQLResultRunnable

All Implemented Interfaces:
  java.lang.Comparable, java.lang.Runnable, org.eclipse.core.runtime.IAdaptable

Direct Known Subclasses:
  GroupSQLResultRunnable

    public class SimpleSQLResultRunnable

extends ResultSupportRunnable

This is a simple ResultSupportRunnalbe, used to run a simple SQL statement. It do not support things like showing SP return value, output parameter, etc.

Author:
  Yang Liu

Field Summary

Fields inherited from class org.eclipse.core.runtime.jobs.Job
`ASYNC_FINISH, BUILD, DECORATE, INTERACTIVE, LONG, NONE, RUNNING, SHORT, SLEEPING, WAITING`

Constructor Summary
`SimpleSQLResultRunnable(java.sql.Connection con, java.lang.String sql, boolean closeCon, IConnectionTracker tracker, org.eclipse.core.runtime.IProgressMonitor parentMonitor, org.eclipse.datatools.sqltools.core.DatabaseIdentifier databaseIdentifier, org.eclipse.debug.core.ILaunchConfiguration configuration)` Constructs a `SimpleSQLResultRunnable` to run the specified sql statement.

Method Summary
`org.eclipse.debug.core.ILaunchConfiguration` `getConfiguration()`

Methods inherited from class org.eclipse.datatools.sqltools.editor.core.result.ResultSupportRunnable
`getActionType, getConsumerName, getDatabaseIdentifier, getOperationCommand, getOperationStatus, getParentOperationCommand, loopThroughResults, run, setActionType, setConsumerName, setNeedsInitConnection, setParentOperCommand, terminateExecution`

Methods inherited from class org.eclipse.core.runtime.jobs.Job
`addJobChangeListener, belongsTo, cancel, done, getJobManager, getName, getPriority, getProperty, getResult, getRule, getState, getThread, isBlocking, isSystem, isUser, join, removeJobChangeListener, schedule, schedule, setName, setPriority, setProgressGroup, setProperty, setRule, setSystem, setThread, setUser, shouldRun, shouldSchedule, sleep, wakeUp, wakeUp`

Methods inherited from class org.eclipse.core.internal.jobs.InternalJob
`compareTo, toString`

Methods inherited from class org.eclipse.core.runtime.PlatformObject
`getAdapter`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.core.runtime.IAdaptable
`getAdapter`

Constructor Detail

### SimpleSQLResultRunnable

    public SimpleSQLResultRunnable(java.sql.Connection con,
                                   java.lang.String sql,
                                   boolean closeCon,
                                   IConnectionTracker tracker,
                                   org.eclipse.core.runtime.IProgressMonitor parentMonitor,
                                   org.eclipse.datatools.sqltools.core.DatabaseIdentifier databaseIdentifier,
                                   org.eclipse.debug.core.ILaunchConfiguration configuration)

  Constructs a `SimpleSQLResultRunnable` to run the specified sql statement.

  Parameters:
    `con` - the connection
    `sql` - the SQL statement to be run
    `closeCon` - whether should close connection
    `tracker` - if closeCon is true and tracker is not null, will notify it when close the connection
    `parentMonitor` - the parent monitor, used to cancel
    `databaseIdentifier` - contains connection information
    `configuration` - the launch configuration if this constructor is called by eclipse launch mechanism, or null.

Method Detail

### getConfiguration

    public org.eclipse.debug.core.ILaunchConfiguration getConfiguration()

  Specified by:
    `getConfiguration` in class `ResultSupportRunnable`
  Returns:
    Returns the _configuration.